<div class="jumbotron jumbotron-fluid bg-light gradient mb-0 pt-5 pb-5">
	<div class="container">
		<div class="text-center text-md-left text-md-start">
			<h3 class="mb-0<?php echo (!$meta->description ? ' mt-3' : null); ?>">
				<?php echo $meta->title; ?>
			</h3>
			<p class="lead">
				<?php echo truncate($meta->description, 256); ?>
			</p>
		</div>
	</div>
</div>
<div class="container pt-3">
	<div class="row no-gutters">
		<div class="col-4 col-sm-6">
			<a href="<?php echo current_page('create'); ?>" class="btn btn-primary rounded-pill --modal">
				<i class="mdi mdi-plus"></i>
				<span class="d-none d-sm-inline">
					<?php echo phrase('new_category'); ?>
				</span>
			</a>
		</div>
		<div class="col-8 col-sm-6">
			<form action="<?php echo go_to('topic'); ?>" method="POST" class="--xhr-form">
				<div class="input-group">
					<input type="text" name="q" value="<?php echo (service('request')->getGet('q') ? htmlspecialchars(service('request')->getGet('q')) : null); ?>" class="form-control" placeholder="<?php echo phrase('search_topic'); ?>" />
					<button type="submit" class="btn btn-primary">
						<i class="mdi mdi-magnify"></i>
					</button>
				</div>
			</form>
		</div>
	</div>
</div>
<hr />
<div class="container pt-5 pb-5">
	<?php
		if($results)
		{
			foreach($results as $key => $val)
			{
				echo '
					' . ($key ? '<hr />' : null) . '
					<div class="form-group mb-3">
						<div class="row align-items-center no-gutters">
							<div class="col-3 col-md-2 col-lg-1">
								<a href="' . go_to('topics/' . $val->category_slug) . '" class="--xhr">
									<img src="' . get_image('forum', $val->category_image, 'thumb') . '" class="img-fluid rounded" alt="..." />
								</a>
							</div>
							<div class="col-9 col-md-7 col-lg-8 pl-3">
								<a href="' . go_to('topics/' . $val->category_slug) . '" class="--xhr">
									<h5>
										' . $val->category_title . '
									</h5>
								</a>
								<p class="mb-0">
									' . truncate($val->category_description, 120) . '
								</p>
								' . (isset($val->recent_created_at) ? '
								<p class="text-sm">
									' . phrase('last_post_by') . ' <a href="' . ($val->recent_username ? base_url('user/' . $val->recent_username) : base_url('user', array('user_id' => $val->recent_user_id))) . '" class="font-weight-bold fw-bold --xhr">' .  $val->recent_full_name . '</a> ' . phrase('on_topic') . ' <a href="' . go_to('topics/' . $val->category_slug . '/' . $val->recent_topic_slug) . '" class="font-weight-bold fw-bold --xhr">' . $val->recent_topic_title . '</a> [<span class="" data-toggle="tooltip" data-bs-toggle="tooltip" title="' . date('d F Y, H:i:s', strtotime($val->recent_created_at)) . '">' . time_ago($val->recent_created_at) . '</span>]
								</p>
								' : null) . '
							</div>
							<div class="col-9 offset-3 col-md-3 offset-md-0 col-lg-3 offset-lg-0">
								' . (in_array(get_userdata('group_id'), array(1, 2)) ? '
								<span class="badge badge-secondary bg-secondary rounded-pill text-sm float-right float-end dropdown-toggle" data-toggle="dropdown" data-bs-toggle="dropdown" aria-expanded="false">
									<i class="mdi mdi-dots-vertical"></i>
								</span>
								<div class="dropdown-menu dropdown-menu-right dropdown-menu-end">
									<a href="' . go_to('update', array('category_id' => $val->category_id)) . '" class="dropdown-item --modal">
										<i class="mdi mdi-square-edit-outline"></i>
										' . phrase('update') . '
									</a>
									<a href="' . go_to('delete', array('category_id' => $val->category_id)) . '" class="dropdown-item --open-delete-confirm">
										<i class="mdi mdi-delete"></i>
										' . phrase('delete') . '
									</a>
								</div>
								' : null) . '
								' . (isset($val->replies_count) ? '
								<span class="badge badge-info bg-info rounded-pill text-sm float-left float-start float-md-right float-md-end">
									' . number_format($val->replies_count) . ' ' . ($val->replies_count > 1 ? phrase('replies') : phrase('reply')) . '
								</span>
								': null) . '
								' . (isset($val->topics_count) ? '
								<span class="badge badge-success bg-success rounded-pill text-sm float-left float-start  float-md-right float-md-end">
									' . number_format($val->topics_count) . ' ' . ($val->topics_count > 1 ? phrase('topics') : phrase('topic')) . '
								</span>
								': null) . '
							</div>
						</div>
					</div>
				';
			}
			
			echo $template->pagination;
		}
		else
		{
			echo '
				<div class="text-center">
					<img src="' . get_module_asset('images/not-found.png') . '" class="img-fluid" width="260" />
					<br />
					<h1 class="mb-3">
						' . phrase('whoops') . '
						<br />
						' . phrase('no_category_available') . '
					</h1>
					<div class="text-muted mb-5">
						' . phrase('why_do_not_you_submit_a_new_category_and_lets_discuss') . '
					</div>
					<a href="' . go_to('create') . '" class="btn btn-success rounded-pill --modal">
						<i class="mdi mdi-plus"></i>
						' . phrase('submit_new_category') . '
					</a>
					<br />
					<br />
				</div>
			';
		}
	?>
</div>
